Pod::Simple::HTML(3)

NAME
Pod::Simple::HTML - convert Pod to HTML

SYNOPSIS
  perl -MPod::Simple::HTML -e Pod::Simple::HTML::go thingy.pod

DESCRIPTION
This class is for making an HTML rendering of a Pod document.

This is a subclass of Pod::Simple::PullParser and inherits all its methods (and options).

Note that if you want to do a batch conversion of a lot of Pod documents to HTML, you should see the module Pod::Simple::HTMLBatch.

CALLING FROM THE COMMAND LINE
TODO

  perl -MPod::Simple::HTML -e Pod::Simple::HTML::go Thing.pod Thing.html

CALLING FROM PERL
TODO make a new object, set any options, and use parse_from_file

METHODS
TODO all (most?) accessorized methods

SUBCLASSING
TODO

 can just set any of:  html_css html_javascript title_prefix
  'html_header_before_title',
  'html_header_after_title',
  'html_footer',

maybe override do_pod_link

maybe override do_beginning do_end

SEE ALSO
Pod::Simple, Pod::Simple::HTMLBatch

TODO: a corpus of sample Pod input and HTML output? Or common idioms?

COPYRIGHT AND DISCLAIMERS
Copyright (c) 2002-2004 Sean M. Burke. All rights reserved.

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

This program is distributed in the hope that it will be useful, but without any warranty; without even the implied warranty of merchantability or fitness for a particular purpose.

AUTHOR
Sean M. Burke "sburke@cpan.org"